<base href="index.html">

<div class="container-fluid">
  <div class="row">
    <div class="col-12 mt-5">
      <form (ngSubmit)="login()" *ngIf="!currentUser">
        <div class="form-group">
          <label for="email login">Identifiant</label>
          <input
          name="email"
            type="email"
            class="form-control"
            id="email-login"
            [(ngModel)]= "username"
          />
        </div>
        <div class="form-group">
          <label for="Password-login">Mot de passe</label>
          <input
            type="password"
            class="form-control"
            id="Password-login"
            name="password"
            [(ngModel)]= "password"
          />
        </div>

        <a
        class="nav-link active d-flex justify-content-center btn btn-secondary"
        routerLink="/teacher">{{message}}</a>
        
        <button class="btn border border-dark p-3 mt-5">Connection</button>
      </form>

      <section *ngIf ="currentUser">
        Bienvenue sur Music's Time
        <button class="border border-dark" (click)="logout()">Déconnection</button>
      </section>
    </div>
  </div>
</div>
